# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac_instr::DrawSad Class Reference

Class to carry out overlay of SAD block values.

`#include <sad.h>`

Inheritance diagram for dirac_instr::DrawSad:

## Public Member Functions
| DrawSad (Picture &, DrawPictureMotionParams &, const TwoDArray< MvCostData > &, const TwoDArray< PredMode > &, int)
| Constructor. More...
| ~DrawSad ()
| Destructor. More...
void | DrawBlock (int, int)
| Colours a single motion vector block. More...
void | DrawLegend ()
| Draws power bar legend. More...
Public Member Functions inherited from dirac_instr::DrawOverlay
| DrawOverlay (Picture &, DrawPictureMotionParams &)
| Constructor. More...
virtual | ~DrawOverlay ()
| Destructor. More...
void | DrawReferenceNumbers (int, int)
| Draws picture numbers for both references. More...
void | DrawReferenceNumber (int, int)
| Draws picture number for chosen reference. More...
void | DrawPictureNumber (int)
| Draws current picture number. More...
void | DrawCharacter (const PicArray &, int, int)
| Draws a character / number / symbol. More...
const OverlaySymbols & | Symbols () const
| Returns reference to symbols object. More...

## Private Attributes
int | m_scale
| Maximum SAD value represented. More...
const TwoDArray< MvCostData > & | m_cost
| Cost array of blocks for chosen reference. More...
const TwoDArray< PredMode > & | m_mode

## Additional Inherited Members
Protected Member Functions inherited from dirac_instr::DrawOverlay
void | GetPowerUV (int, int &, int &)
| Calculates U and V for particular value normalised to 1000. More...
void | DrawPowerBar (int, int)
| Draws power bar legend with given limits. More...
void | DrawValue (int, int, int)
| Draws value. More...
void | DrawMvBlockUV (int, int, int, int)
| Colours motion vector block referenced by motion vector. More...
void | DrawBlockUV (int, int, int, int)
| Colours an 8x8 block referenced by TL chroma pixel. More...
Protected Attributes inherited from dirac_instr::DrawOverlay
Picture & | m_picture
| Picture data. More...
DrawPictureMotionParams & | m_draw_params
| Block parameters and chroma scaling. More...
OverlaySymbols | m_symbols
| Symbols. More...

## Constructor & Destructor Documentation

dirac_instr::DrawSad::DrawSad | ( | Picture & | ,
|  | DrawPictureMotionParams & | ,
|  | const TwoDArray< MvCostData > & | ,
|  | const TwoDArray< PredMode > & | ,
|  | int |
| ) |  |

dirac_instr::DrawSad::~DrawSad | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawSad::DrawBlock | ( | int | ,
|  | int |
| ) |  |
| virtual

Implements dirac_instr::DrawOverlay.

void dirac_instr::DrawSad::DrawLegend | ( |  | ) |
| virtual

Implements dirac_instr::DrawOverlay.

## Member Data Documentation

const TwoDArray<MvCostData>& dirac_instr::DrawSad::m_cost
| private

const TwoDArray<PredMode>& dirac_instr::DrawSad::m_mode
| private

int dirac_instr::DrawSad::m_scale
| private

The documentation for this class was generated from the following file:

- sad.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.